Loading...
Searching...
No Matches
janus_rtp_svc_context Struct Reference

Helper struct for processing and tracking VP9-SVC streams. More...

`#include <rtp.h>`

Collaboration diagram for janus_rtp_svc_context:
[legend]

## Data Fields

struct janus_av1_svc_context | dd_context
| Dependency Descriptor context, in case it's needed.
int | spatial
| Which SVC spatial layer we should forward back.
int | spatial_target
| As above, but to handle transitions (e.g., wait for keyframe, or get this if available).
int | temporal
| Which SVC temporal layer we should forward back.
int | temporal_target
| As above, but to handle transitions (e.g., wait for keyframe).
guint32 | drop_trigger
| How much time (in us, default 250000) without receiving packets will make us drop to the substream below.
gint64 | last_spatial_layer [3]
| When we relayed the last packet (used to detect when layers become unavailable).
gboolean | changed_spatial
| Whether the spatial layer has changed after processing a packet.
gboolean | changed_temporal
| Whether the temporal layer has changed after processing a packet.
gboolean | need_pli
| Whether we need to send the user a keyframe request (PLI).

## Detailed Description

Helper struct for processing and tracking VP9-SVC streams.

## Field Documentation

## changed_spatial

gboolean janus_rtp_svc_context::changed_spatial

Whether the spatial layer has changed after processing a packet.

## changed_temporal

gboolean janus_rtp_svc_context::changed_temporal

Whether the temporal layer has changed after processing a packet.

## dd_context

struct janus_av1_svc_context janus_rtp_svc_context::dd_context

Dependency Descriptor context, in case it's needed.

## drop_trigger

guint32 janus_rtp_svc_context::drop_trigger

How much time (in us, default 250000) without receiving packets will make us drop to the substream below.

## last_spatial_layer

gint64 janus_rtp_svc_context::last_spatial_layer[3]

When we relayed the last packet (used to detect when layers become unavailable).

## need_pli

gboolean janus_rtp_svc_context::need_pli

Whether we need to send the user a keyframe request (PLI).

## spatial

int janus_rtp_svc_context::spatial

Which SVC spatial layer we should forward back.

## spatial_target

int janus_rtp_svc_context::spatial_target

As above, but to handle transitions (e.g., wait for keyframe, or get this if available).

## temporal

int janus_rtp_svc_context::temporal

Which SVC temporal layer we should forward back.

## temporal_target

int janus_rtp_svc_context::temporal_target

As above, but to handle transitions (e.g., wait for keyframe).

The documentation for this struct was generated from the following file:

- rtp.h